Skip to main content
POST
/
management
/
clients
/
individuals
curl -X POST "https://api.cryptomate.me/management/clients/individuals" \
  -H "x-api-key: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name": "Maria",
    "second_name": "Julia",
    "last_name": "Barber",
    "email": "mjuliabarber@example.com",
    "birth_date": "1984-11-21",
    "address": {
      "street_line1": "Florida 9860",
      "city": "Del Viso",
      "postal_code": "1669",
      "state": "ARG-B",
      "country": "ARG"
    },
    "phone_country_code": 54,
    "phone_number": 1168860622
  }'
{
  "id": "4QWq1rQtjnLM0wMswTRY9AmM4XTvY4GG",
  "type": "individual",
  "status": "pending",
  "first_name": "Maria",
  "second_name": "Julia",
  "last_name": "Barber",
  "email": "mjuliabarber@example.com",
  "birth_date": "1984-11-21",
  "phone_country_code": 54,
  "phone_number": 1168860622,
  "address": {
    "street_line1": "Florida 9860",
    "city": "Del Viso",
    "postal_code": "1669",
    "state": "ARG-B",
    "country": "ARG"
  }
}
Creates a new individual client for the company with identity data and address. Documentation and products are enabled on demand after creation. Requires an API key with access level 1 or higher.

Body

first_name
string
required
Client’s first name.
second_name
string
Client’s second or middle name.
last_name
string
required
Client’s last name.
email
string
required
Client’s email address. Must be a valid email.
birth_date
string
required
Client’s date of birth (yyyy-mm-dd).
address
object
required
Client’s physical address.
phone_country_code
integer
Phone country code.
phone_number
long
Phone number.

Response

id
string
Unique client identifier.
type
string
Client type. Always individual.
status
string
Account status (e.g., pending, active, rejected).
first_name
string
Client’s first name.
second_name
string
Client’s second or middle name.
last_name
string
Client’s last name.
email
string
Client’s email address.
birth_date
string
Client’s date of birth.
phone_country_code
integer
Phone country code.
phone_number
long
Phone number.
address
object
Client’s physical address with street_line1, street_line2, city, postal_code, state, state_code, country, country_code.
curl -X POST "https://api.cryptomate.me/management/clients/individuals" \
  -H "x-api-key: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name": "Maria",
    "second_name": "Julia",
    "last_name": "Barber",
    "email": "mjuliabarber@example.com",
    "birth_date": "1984-11-21",
    "address": {
      "street_line1": "Florida 9860",
      "city": "Del Viso",
      "postal_code": "1669",
      "state": "ARG-B",
      "country": "ARG"
    },
    "phone_country_code": 54,
    "phone_number": 1168860622
  }'
{
  "id": "4QWq1rQtjnLM0wMswTRY9AmM4XTvY4GG",
  "type": "individual",
  "status": "pending",
  "first_name": "Maria",
  "second_name": "Julia",
  "last_name": "Barber",
  "email": "mjuliabarber@example.com",
  "birth_date": "1984-11-21",
  "phone_country_code": 54,
  "phone_number": 1168860622,
  "address": {
    "street_line1": "Florida 9860",
    "city": "Del Viso",
    "postal_code": "1669",
    "state": "ARG-B",
    "country": "ARG"
  }
}